This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 497447 (CVE-2009-1313)

Summary: CVE-2009-1313 Firefox crash in nsTextFrame::ClearTextRun()
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bressers, kreilly, mjc, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: source=upstream,reported=20090423,public=20090427,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-18 13:28:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 497448, 497449    
Bug Blocks:    

Description Vincent Danen 2009-04-23 18:28:18 EDT
A memory corruption flaw was found in Firefox's nsTextFrame::ClearTextRun() method. A malicious web site could leverage this flaw to crash the browser or execute arbitrary code as the user running Firefox.
Comment 3 Josh Bressers 2009-04-23 21:53:25 EDT
Please note, this bug does not affect the version of SeaMonkey shipped in Red Hat Enterprise Linux 2.1, 3, or 4.
Comment 6 errata-xmlrpc 2009-04-27 17:03:18 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2009:0449 https://rhn.redhat.com/errata/RHSA-2009-0449.html
Comment 7 Fedora Update System 2009-04-27 21:20:10 EDT
xulrunner-1.9.0.10-1.fc9, firefox-3.0.10-1.fc9, epiphany-2.22.2-11.fc9, epiphany-extensions-2.22.1-11.fc9, blam-1.8.5-9.fc9.1, chmsee-1.0.1-12.fc9, devhelp-0.19.1-12.fc9, evolution-rss-0.1.0-11.fc9, galeon-2.0.7-10.fc9, gnome-python2-extras-2.19.1-27.fc9, gnome-web-photo-0.3-21.fc9, google-gadgets-0.10.5-6.fc9, gtkmozembedmm-1.4.2.cvs20060817-29.fc9, kazehakase-0.5.6-4.fc9.2, Miro-2.0.3-4.fc9, mozvoikko-0.9.5-10.fc9, mugshot-1.2.2-9.fc9, ruby-gnome2-0.17.0-9.fc9, totem-2.23.2-16.fc9, yelp-2.22.1-12.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-04-27 21:21:45 EDT
xulrunner-1.9.0.10-1.fc10, firefox-3.0.10-1.fc10, epiphany-2.24.3-6.fc10, epiphany-extensions-2.24.0-8.fc10, blam-1.8.5-10.fc10, devhelp-0.22-8.fc10, galeon-2.0.7-10.fc10, gecko-sharp2-0.13-8.fc10, gnome-python2-extras-2.19.1-30.fc10, gnome-web-photo-0.3-18.fc10, google-gadgets-0.10.5-6.fc10, kazehakase-0.5.6-4.fc10.2, Miro-2.0.3-4.fc10, mozvoikko-0.9.5-10.fc10, mugshot-1.2.2-9.fc10, pcmanx-gtk2-0.3.8-9.fc10, perl-Gtk2-MozEmbed-0.08-6.fc10.1, ruby-gnome2-0.18.1-5.fc10.2, yelp-2.24.0-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.